
From: Andi Kleen <ak@muc.de>

Fix a bug introduced with the last merge that prevented booting with
CONFIG_DEBUG_INFO on on x86-64.  It would corrupt registers in interrupts. 
This has hit a few people, so I would consider it as a critical fix.



---

 arch/x86_64/kernel/entry.S |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN arch/x86_64/kernel/entry.S~x86_64-boot-fix arch/x86_64/kernel/entry.S
--- 25/arch/x86_64/kernel/entry.S~x86_64-boot-fix	2004-02-02 18:44:21.000000000 -0800
+++ 25-akpm/arch/x86_64/kernel/entry.S	2004-02-02 18:44:21.000000000 -0800
@@ -436,7 +436,7 @@ ret_from_intr:		
 	popq  %rdi
 	cli	
 	subl $1,%gs:pda_irqcount
-#ifdef CONFIG_KGDB
+#ifdef CONFIG_DEBUG_INFO
 	movq RBP(%rdi),%rbp
 #endif
 	leaq ARGOFFSET(%rdi),%rsp

_
